Subject: HSR status queries from user space

From: Murali Karicheri <[email-masked]>
Date: Mon, 10 Oct 2016 14:13:21 -0400

Hi Arvid,

I am investigating the HSR implementation in Linux and wondering if
there is a tool that I can use to query the status of the HSR nodes.
Especially data related to HSR_C_GET_NODE_STATUS and HSR_C_GET_NODE_LIST
commands.

I am able to setup hsr interface using two Ethernet slave interfaces on
my platform and I am able to ping between the two boards. I am looking
to dump the status of the nodes. Could you tell me what tool to use?

ip link command is used to create the hsr interface, but can't find
any tool to dump the node list and status.

Thanks

-- 
Murali Karicheri
Linux Kernel, Keystone